Subject: [mobile-ip] Looking for open-source MIPv4

From: Bryan Hartwell <[email-masked]>
Date: Wed, 09 Apr 2003 14:45:53 -0400

Hi,

Can anyone please point me to open-source MIPv4 code? I require some
working code as a base point for my thesis. I am running Red Hat 7.3 on
my boxes, which will act as my routers (using Linux Router). So the
mobility solution must be compatiable with this environment.

Currently I am working with  HUT "dynamics" 0.8.1, which is HMIPv4. I'm
in the process of setting up my equipment and installing the software,
so I'm unaware as yet if the HUT code will (actually) work. I would
appreciate if anyone can verify that this is good code to work with (and
modify), or whether there are other useful open-source implementations
available.

Thank-you,
Bryan